import type { IOrchestratedItem } from '../../../domain';
export declare class OrchestratedItemRunningTime {
    private item;
    private updateCallback;
    private updateInterval;
    constructor(item: IOrchestratedItem, updateCallback: (time: number) => void);
    checkStatus(item?: IOrchestratedItem): void;
    reset(): void;
}
